#ifndef MINRISK_INCLUDED
#define MINRISK_INCLUDED
#include "vector.h"

extern Vector_T
Minrisk_sqerr_background_iter (Vector_T phat, Vector_T lambda,
			       double **M, double N);
extern Vector_T
Minrisk_sqerr_background_new (Vector_T phat, Vector_T lambda, 
			      double **M, double N);
extern Vector_T
Minrisk_sqerr_subst_iter (Vector_T phat, Vector_T lambda,
			  double **M, double N);
extern Vector_T
Minrisk_sqerr_subst_new (Vector_T phat, Vector_T lambda, 
			 double **M, double N);
extern Vector_T
Minrisk_relent_background_iter (Vector_T phat, Vector_T lambda,
				double **M, double N);
extern Vector_T
Minrisk_relent_background_new (Vector_T phat, Vector_T lambda,
			       double **M, double N);
extern Vector_T
Minrisk_relent_subst_new (Vector_T phat, Vector_T lambda, 
			  double **M, double N);

#endif

