#ifndef VECTOR_INCLUDED
#define VECTOR_INCLUDED

#define T Vector_T
typedef struct T *T;

extern T Vector_new (int length);
extern void Vector_free (T *vector);
extern double Vector_get (T vector, int i);
extern void Vector_put (T vector, int i, double elt);
extern int Vector_length (T vector);
extern int Vector_size (T vector);
extern void Vector_copy (T dest, T source);
extern double Vector_sum (T vector);
extern void Vector_intprint (T vector);
extern void Vector_doubleprint (T vector);

#undef T
#endif

