#ifndef FREQUENCIES_INCLUDED
#define FREQUENCIES_INCLUDED
#include <stdio.h>

#define T Frequencies_T
typedef struct T *T;

extern T Frequencies_new (int maxorder);
extern void Frequencies_free (T *frequencies);
extern T Frequencies_read (FILE *fp, int maxorder);
extern T Frequencies_fill (int maxorder);
extern int Frequencies_maxorder (T frequencies);
extern double Frequencies_get (T frequencies, int prob_index);
extern void Frequencies_normalize (T frequencies);
extern void Frequencies_print (FILE *fp, T frequencies);

#undef T
#endif

