#include <stdio.h>

int
main (int argc, char *argv[]) {
  FILE *infp, *outfp;
  char *infile, *outfile;
  int number;
  short shortnumber;
  int total, maxblocksize, i;
  int blocksize, descript_length;
  float info;
  long descript_ptr;

  infile = argv[1];
  outfile = argv[2];
  infp = fopen(infile,"r");
  outfp = fopen(outfile,"wb");
  
  fscanf(infp,"%d %d\n",&total,&maxblocksize);
  fwrite(&total,sizeof(total),1,outfp);
  fwrite(&maxblocksize,sizeof(maxblocksize),1,outfp);
  while (!feof(infp) && fscanf(infp,"%d ",&blocksize)>0) {
    fwrite(&blocksize,sizeof(blocksize),1,outfp);
    fscanf(infp,"%f %ld %d\n",&info,&descript_ptr,&descript_length);
    fwrite(&info,sizeof(info),1,outfp);
    fwrite(&descript_ptr,sizeof(descript_ptr),1,outfp);
    fwrite(&descript_length,sizeof(descript_length),1,outfp);
    /* This loop needed for ordered matrices: */
    for (i = 0; i < blocksize; ++i) {
      fscanf(infp,"%d ",&number);
      shortnumber = (short) number;
      fwrite(&shortnumber,sizeof(shortnumber),1,outfp);
    }      
    /* End of loop */
    for (i = 0; i < blocksize*23; ++i) {
      fscanf(infp,"%d ",&number);
      shortnumber = (short) number;
      fwrite(&shortnumber,sizeof(shortnumber),1,outfp);
    }
  }
  fclose(outfp);
  fclose(infp);
  return 0;
}

